lacks ext4 support

Bug #494804 reported by Kees Cook on 2009-12-10
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
VMBuilder
Undecided
Unassigned
vm-builder (Ubuntu)
Medium
Unassigned

Bug Description

With ext4 as the default for Karmic, ext4 should be used when building Karmic and newer VMs.

ProblemType: Bug
Architecture: amd64
Date: Wed Dec 9 16:23:17 2009
DistroRelease: Ubuntu 10.04
Package: python-vm-builder 0.11.3-0ubuntu1
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US.UTF-8
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-2.2-generic
SourcePackage: vm-builder
Uname: Linux 2.6.32-2-generic x86_64

Related branches

Kees Cook (kees) wrote :
Kees Cook (kees) wrote :

Untested rough-draft in lp:~kees/vmbuilder/use-ext4

Kees Cook (kees) wrote :

Okay, tested now. :) Works for me.

Changed in vm-builder (Ubuntu):
status: New → Triaged
Kees Cook (kees) wrote :

Well, it uses ext4 now, but it looks like the image convert fails...
2009-12-09 18:48:52,548 DEBUG : ['/usr/bin/kvm-img', 'convert', '-O', 'qcow2', '/tmp/vmbuilderG3KUqc/disk0.img', '/vm-images/fresh-karmic-amd64/disk0.qcow2']
2009-12-09 18:49:29,905 DEBUG : Oh, dear, an exception occurred
2009-12-09 18:49:29,905 INFO : Cleaning up

Kees Cook (kees) wrote :

(ah, nm, that's a bug in vm-builder's templates, which is already fixed)

Sergey Svishchev (svs) wrote :

Could you also add XFS support?

Loïc Minier (lool) wrote :

I had posted similar changes at lp:~lool/vmbuilder/ext4, but Kees' branch is better in that it selects ext4 by default /depending on the target release/.

Loïc Minier (lool) on 2010-01-18
Changed in vm-builder (Ubuntu):
importance: Undecided → Medium
Changed in vmbuilder:
status: New → Confirmed
Stephan Ruegamer (sadig) wrote :

I just checked the code about this --part thingy.
I think it needs some rewrite, regarding syntax etc.

If I have the time, I'll come up with something

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vm-builder - 0.11.3-0ubuntu8

---------------
vm-builder (0.11.3-0ubuntu8) lucid; urgency=low

  * debian/patches/ext4-support.diff: add ext4 (upstream commit
    lp:vmbuilder/0.11 r364, LP: #494804)
  * debian/patches/lucid-release.diff: add Ubuntu Lucid to the list of
    buildable distros.
 -- Kees Cook <email address hidden> Tue, 16 Feb 2010 13:54:30 -0800

Changed in vm-builder (Ubuntu):
status: Triaged → Fix Released
Soren Hansen (soren) on 2010-02-22
Changed in vmbuilder:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers